## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit0 34634649024b06921e7f2bb068da4a4ad35fabe4
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global bumpver 1

%global gomodulesmode GO111MODULE=on

Name:           torrserver
Version:        134%{?bumpver:^%{bumpver}.git%{shortcommit0}}
Release:        %autorelease
Summary:        Torrent stream server

License:        GPLv3
URL:            https://github.com/YouROK/TorrServer
%if 0%{?bumpver}
Source0:        %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
%else
Source0:        %{url}/archive/MatriX.%{version}/%{name}-%{version}.tar.gz
%endif
Source1:        torrserver.service

BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  golang
BuildRequires:  go-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires:  yarnpkg

Recommends:     /usr/bin/ffprobe

%description
%{summary}.

%prep
%autosetup -n %{?bumpver:TorrServer-%{commit0}}%{!?bumpver:TorrServer-MatriX.%{version}}
go env -w GOPROXY=https://proxy.golang.org,direct
go env -w GOSUMDB=sum.golang.org
pushd server
go mod tidy
go mod vendor

%build
pushd web
export YARN_CACHE_FOLDER=%{_builddir}/yarn
yarn install --no-fund
sed '10 i const crypto = require("crypto");\nconst crypto_orig_createHash = crypto.createHash;\ncrypto.createHash = algorithm => crypto_orig_createHash(algorithm == "md4" ? "sha256" : algorithm);' -i node_modules/react-scripts/config/webpack.config.js
yarn run build --no-fund
popd
export GOPATH=%{_builddir}/gopath
go run gen_web.go
cd server
%gobuild -o %{name} ./cmd

%install
install -Dpm755 server/%{name} -t %{buildroot}%{_bindir}
install -Dpm644 %{SOURCE1} -t %{buildroot}%{_userunitdir}

%files
%license LICENSE server/vendor/modules.txt
%doc README.md
%{_bindir}/%{name}
%{_userunitdir}/%{name}.service

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%changelog
## START: Generated by rpmautospec
* Tue Sep 10 2024 Pavel Solovev <daron439@gmail.com> - 134-1
- Uncommitted changes

* Thu Feb 29 2024 Pavel Solovev <daron439@gmail.com> - 130-1
- 130

* Thu Jan 25 2024 Pavel Solovev <daron439@gmail.com> - 129-1
- 129

* Mon Nov 27 2023 Pavel Solovev <daron439@gmail.com> - 128-1
- 128

* Tue Oct 31 2023 Pavel Solovev <daron439@gmail.com> - 127-1
- 127

* Tue Oct 10 2023 Pavel Solovev <daron439@gmail.com> - 126-1
- 126

* Fri Aug 18 2023 Pavel Solovev <daron439@gmail.com> - 125^1.git3463464-1
- 125

* Sat Jul 22 2023 github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com> - 124.2^2.gita219e69-1
- up rev torrserver-124.2+a219e69

* Tue Jul 11 2023 github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com> - 124.2^1.git99fa161-1
- up rev torrserver-124.2+99fa161

* Tue Jul 11 2023 solopasha <daron439@gmail.com> - 124.1^2.git2e6d66f-2
- unneeded

* Tue Jul 11 2023 github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com> - 124.1^2.git2e6d66f-1
- up rev torrserver-124.1+2e6d66f

* Tue Jul 11 2023 solopasha <daron439@gmail.com> - 124.1^1.git4c41f7d-1
- fix autoupdate

* Tue Jul 11 2023 github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com> - 124.1^1.git2e6d66f-1
- up rev torrserver-124.1+2e6d66f

* Thu Jun 29 2023 github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com> - 124.1^1.git4c41f7d-1
- up rev torrserver-124.1+4c41f7d

* Thu Jun 29 2023 solopasha <pasha@solopasha.ru> - 124^1.git96d3955-2
- auto update

* Fri Jun 02 2023 Pavel Solovev <daron439@gmail.com> - 124^1.git96d3955-1
- 124

* Mon May 29 2023 Pavel Solovev <daron439@gmail.com> - 123.4^1.gitef2f658-1
- 123.4

* Sun May 28 2023 Pavel Solovev <daron439@gmail.com> - 123.3^1.gite100cbe-1
- 123.3

* Sat May 20 2023 solopasha <pasha@solopasha.ru> - 123.2^1.git665324c-1
- 123.2

* Fri May 12 2023 solopasha <pasha@solopasha.ru> - 123.1.HB^1.gitb2db8e7-1
- HB

* Sat May 06 2023 Pavel Solovev <daron439@gmail.com> - 123.1^2.git5179d15-2
- bump limits

* Sat May 06 2023 Pavel Solovev <daron439@gmail.com> - 123.1^2.git5179d15-1
- up rev

* Tue May 02 2023 Pavel Solovev <daron439@gmail.com> - MatriX.123.1^1.giteb03402-1
- 123.1

* Wed Apr 26 2023 Pavel Solovev <daron439@gmail.com> - MatriX.123^1.git48bff20-1
- version 123

* Tue Apr 25 2023 solopasha <pasha@solopasha.ru> - MatriX.122.1^1.gitc951bef-1
- 122.1
## END: Generated by rpmautospec
